Mandriva Linux Security Advisory : mesa (MDVSA-2013:164)

High Nessus Plugin ID 66402

Synopsis

The remote Mandriva Linux host is missing one or more security updates.

Description

Updated mesa packages fix security vulnerability :

It was discovered that Mesa incorrectly handled certain arrays. An attacker could use this issue to cause Mesa to crash, resulting in a denial of service, or possibly execute arbitrary code (CVE-2012-5129).

Mesa has also been updated to version 8.0.5, fixing several bugs.

Solution

Update the affected packages.

Plugin Details

Severity: High

ID: 66402

File Name: mandriva_MDVSA-2013-164.nasl

Version: 1.6

Type: local

Published: 2013/05/14

Updated: 2019/08/02

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64dri-drivers, p-cpe:/a:mandriva:linux:lib64gbm1, p-cpe:/a:mandriva:linux:lib64gbm1-devel, p-cpe:/a:mandriva:linux:lib64glapi0, p-cpe:/a:mandriva:linux:lib64glapi0-devel, p-cpe:/a:mandriva:linux:lib64mesaegl1, p-cpe:/a:mandriva:linux:lib64mesaegl1-devel, p-cpe:/a:mandriva:linux:lib64mesagl1, p-cpe:/a:mandriva:linux:lib64mesagl1-devel, p-cpe:/a:mandriva:linux:lib64mesaglesv1_1, p-cpe:/a:mandriva:linux:lib64mesaglesv1_1-devel, p-cpe:/a:mandriva:linux:lib64mesaglesv2_2, p-cpe:/a:mandriva:linux:lib64mesaglesv2_2-devel, p-cpe:/a:mandriva:linux:lib64mesaglu1, p-cpe:/a:mandriva:linux:lib64mesaglu1-devel, p-cpe:/a:mandriva:linux:lib64mesaopenvg1, p-cpe:/a:mandriva:linux:lib64mesaopenvg1-devel, p-cpe:/a:mandriva:linux:lib64wayland-egl1, p-cpe:/a:mandriva:linux:lib64wayland-egl1-devel, p-cpe:/a:mandriva:linux:mesa, p-cpe:/a:mandriva:linux:mesa-common-devel, cpe:/o:mandriva:business_server:1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/05/13

Reference Information

CVE: CVE-2012-5129

BID: 56756

MDVSA: 2013:164

MGASA: 2013-0143